// priority: 0

ServerEvents.recipes((event) => {
    removeRecipeByID(event, [
		SBP("crafting_upgrade"),
		SBP("xp_pump_upgrade"),
		SBP("battery_upgrade"),
    ])
	
	//copper (new iron)
	removeRecipeByOutput(event, [
		SBP("copper_backpack"),
	])
	donutCraftFull(event, SBP("copper_backpack"), F("#ingots/iron"), SBP("backpack"))
	
	//iron (new gold)
	removeRecipeByOutput(event, [
		SBP("iron_backpack"),
	])
	donutCraftFull(event, SBP("iron_backpack"), F("#ingots/gold"), SBP("copper_backpack"))
	
	//gold (new diamond)
	removeRecipeByOutput(event, [
		SBP("gold_backpack"),
	])
	donutCraftFull(event, SBP("gold_backpack"), F("#gems/diamond"), SBP("iron_backpack"))
	
	//diamond (new emerald)
	removeRecipeByOutput(event, [
		SBP("diamond_backpack"),
	])
	donutCraftFull(event, SBP("diamond_backpack"), PET("pure_emerald"), SBP("gold_backpack"))
})